Topic on Extension talk:CirrusSearch

Jump to navigation Jump to search

Elasticsearch server version can't be found

2
Summary by MyWikis-JeffreyWang

AWS Elasticsearch won't work with CirrusSearch and shouldn't be used.

MyWikis-JeffreyWang (talkcontribs)

For some reason, the Elasticsearch server version isn't displaying.

Product Version
MediaWiki 1.35.3
PHP 7.4.16 (fpm-fcgi)
MariaDB 10.3.27-MariaDB-0+deb10u1
ICU 65.1
Lua 5.1.5
Elasticsearch

Running UpdateOneSearchIndexConfig.php causes:

php maintenance/UpdateOneSearchIndexConfig.php --indexType general --wiki internal

Fetching Elasticsearch version...unable to determine, aborting.

cURL returns:

{ "name" : "OJSpnVJ", "cluster_name" : "626799937287:mywikis-cirrus-dev", "cluster_uuid" : "E_kkBLrERAu0e_3k7okq1w", "version" : { "number" : "6.8.0", "build_flavor" : "oss", "build_type" : "zip", "build_hash" : "8169a24", "build_date" : "2021-04-21T19:26:55.782637Z", "build_snapshot" : false, "lucene_version" : "7.7.0", "minimum_wire_compatibility_version" : "5.6.0", "minimum_index_compatibility_version" : "5.0.0" }, "tagline" : "You Know, for Search" }

Quite odd, any ideas?

MyWikis-JeffreyWang (talkcontribs)

Looks like AWS Elasticsearch 6.8 sucks! Don't use it.

Reply to "Elasticsearch server version can't be found"